Bug 202687 - REGRESSION (Catalina) non-scrolling iframe prevents document scrolling
Summary: REGRESSION (Catalina) non-scrolling iframe prevents document scrolling
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Scrolling (show other bugs)
Version: Other
Hardware: Macintosh Unspecified
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-10-08 02:53 PDT by gerhard.preuss
Modified: 2020-01-13 23:18 PST (History)
6 users (show)

See Also:


Attachments
Patch (7.49 KB, patch)
2020-01-13 16:30 PST, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gerhard.preuss 2019-10-08 02:53:56 PDT
This is new as of Safari 13 on OSX.

iFrames seem to trap/capture scroll events and prevent the document to scroll (trackpad/touch input).

Reproduce:
https://codepen.io/lipp/pen/LYYEEgd

Expected behaviour:
Page scrolls normal as if the iFrame were an image.

Actual behaviour:
Page is not scrollable when the (touch) input pointer is above the iFrame (green rect in example).
Comment 1 gerhard.preuss 2019-10-08 03:04:04 PDT
Using the mouse wheel works. So "just" trackpad is affected.
Comment 2 Radar WebKit Bug Importer 2019-10-10 18:12:32 PDT
<rdar://problem/56176782>
Comment 3 Simon Fraser (smfr) 2019-10-10 18:15:59 PDT
I can reproduce. Possibly a latching issue.
Comment 4 Simon Fraser (smfr) 2019-10-12 11:36:06 PDT
EventHandler::platformCompleteWheelEvent() finds the non-scrollable iframe as the thing to latch to and thinks that we started scrolling on it.
Comment 5 Simon Fraser (smfr) 2019-10-12 12:36:41 PDT
I think the bug is that scrolledToEdgeInDominantDirection() doesn't consider scrollable="no" iframes.
Comment 6 Simon Fraser (smfr) 2020-01-13 16:30:01 PST
Created attachment 387590 [details]
Patch
Comment 7 WebKit Commit Bot 2020-01-13 23:17:44 PST
The commit-queue encountered the following flaky tests while processing attachment 387590 [details]:

editing/spelling/spellcheck-attribute.html bug 206178 (authors: g.czajkowski@samsung.com, mark.lam@apple.com, and rniwa@webkit.org)
The commit-queue is continuing to process your patch.
Comment 8 WebKit Commit Bot 2020-01-13 23:18:19 PST
Comment on attachment 387590 [details]
Patch

Clearing flags on attachment: 387590

Committed r254497: <https://trac.webkit.org/changeset/254497>
Comment 9 WebKit Commit Bot 2020-01-13 23:18:21 PST
All reviewed patches have been landed.  Closing bug.